Bug 1259375 - python-mimeparse: missing provides for python2-mimeparse
python-mimeparse: missing provides for python2-mimeparse
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-mimeparse (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 09:30 EDT by Carl George
Modified: 2015-11-23 15:06 EST (History)
1 user (show)

See Also:
Fixed In Version: python-mimeparse-0.1.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:06:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-09-02 09:30:42 EDT
Description of problem:
The latest Fedora Python Packaging guidelines [1] state that python modules should have a virtual provides for python2-%{srcname}.  It is a semi-recent change, so I don't think it's mandatory for EPEL packages.  However, it is a simple change to make, with no drawbacks, that allows for similarities between Fedora and EPEL packages.  It also allows other package maintainers like myself to require the virtual python2 name in our spec files.  It is already possible to do this with the main python packages.

$ rpm -q --provides python | grep ^python2
python2 = 2.7.5
$ rpm -q --provides python-devel | grep ^python2
python2-devel = 2.7.5-18.el7_1.1

Version-Release number of selected component (if applicable):
0.1.4-1.el7

Actual results:
python-mimeparse does not provide python2-mimeparse

Expected results:
python-mimeparse should provide python2-mimeparse

Additional info:
[1]: http://fedoraproject.org/wiki/Packaging:Python#Provides
Comment 1 Steve Traylen 2015-11-03 07:37:17 EST
If you like.
Comment 2 Fedora Update System 2015-11-03 07:40:57 EST
python-mimeparse-0.1.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fc8ad8ee0a
Comment 3 Fedora Update System 2015-11-05 12:19:48 EST
python-mimeparse-0.1.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-mimeparse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fc8ad8ee0a
Comment 4 Fedora Update System 2015-11-23 15:06:23 EST
python-mimeparse-0.1.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.